Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class HTMLRenderContext

    java.lang.Object
      org.eclipse.birt.report.engine.api.HTMLRenderContext

Deprecated. set the property to RenderOption directly.

    public class HTMLRenderContext

extends java.lang.Object

Defines the context for rendering report in HTML emitter. Objects stored in the context object is mainly used for image and action handling, but can be used for other purposes too.

Field Summary
`protected java.lang.String` | `baseImageURL` Deprecated. base URL used for image
`protected java.lang.String` | `baseURL` Deprecated. base URL used for action handler
`protected java.lang.String` | `imageDirectory` Deprecated. directory to store image
`protected IRenderOption` | `renderOption` Deprecated. HTML render option
`protected java.lang.String` | `supportedImageFormats` Deprecated. the image formats supported by the browser

Constructor Summary
`HTMLRenderContext()` Deprecated. dummy constrictor

Method Summary
`java.lang.String` | `getBaseImageURL()` Deprecated. returns the base url for creating image URL
`java.lang.String` | `getBaseURL()` Deprecated. Returns the base URL for creating an Action URL
`java.lang.String` | `getImageDirectory()` Deprecated. returns the image directory that engine stores images and charts into
`IRenderOption` | `getRenderOption()` Deprecated.
`java.lang.String` | `getSupportedImageFormats()` Deprecated.
`void` | `setBaseImageURL(java.lang.String baseImageURL)` Deprecated. sets the base image URL for image handling
`void` | `setBaseURL(java.lang.String baseURL)` Deprecated. sets the base url for action handling
`void` | `setImageDirectory(java.lang.String imageDirectory)` Deprecated. sets the image directory that engine stores images and charts into
`void` | `SetRenderOption(IRenderOption option)` Deprecated.
`void` | `setSupportedImageFormats(java.lang.String formats)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### baseURL

    protected java.lang.String baseURL

  Deprecated.
  base URL used for action handler

### baseImageURL

    protected java.lang.String baseImageURL

  Deprecated.
  base URL used for image

### supportedImageFormats

    protected java.lang.String supportedImageFormats

  Deprecated.
  the image formats supported by the browser

### imageDirectory

    protected java.lang.String imageDirectory

  Deprecated.
  directory to store image

### renderOption

    protected IRenderOption renderOption

  Deprecated.
  HTML render option

Constructor Detail

### HTMLRenderContext

    public HTMLRenderContext()

  Deprecated.
  dummy constrictor

Method Detail

### getBaseURL

    public java.lang.String getBaseURL()

  Deprecated.
  Returns the base URL for creating an Action URL

  Returns:
    the baseURL.

### setBaseURL

    public void setBaseURL(java.lang.String baseURL)

  Deprecated.
  sets the base url for action handling

  Parameters:
    `baseURL` - sets the base URL used for action handling

### getImageDirectory

    public java.lang.String getImageDirectory()

  Deprecated.
  returns the image directory that engine stores images and charts into

  Returns:
    the image directory.

### setImageDirectory

    public void setImageDirectory(java.lang.String imageDirectory)

  Deprecated.
  sets the image directory that engine stores images and charts into

  Parameters:
    `imageDirectory` - the image directory that engine stores images and charts into

### getBaseImageURL

    public java.lang.String getBaseImageURL()

  Deprecated.
  returns the base url for creating image URL

  Returns:
    Rreturn the abse image url

### setBaseImageURL

    public void setBaseImageURL(java.lang.String baseImageURL)

  Deprecated.
  sets the base image URL for image handling

  Parameters:
    `baseImageURL` - the base image URL

### setSupportedImageFormats

    public void setSupportedImageFormats(java.lang.String formats)

  Deprecated.
  Parameters:
    `formats` - - the image format supported by the browser

### getSupportedImageFormats

    public java.lang.String getSupportedImageFormats()

  Deprecated.
  Returns:
    the image format supported by the browser

### SetRenderOption

    public void SetRenderOption(IRenderOption option)

  Deprecated.

### getRenderOption

    public IRenderOption getRenderOption()

  Deprecated.
  Returns:
    render options

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.